EDIT - bug #9486

Fallback areas not handled in area hierarchy are not showing up correctly if subarea data exists
03/01/2021 02:05 PM - Andreas Mdller

Status: Duplicate Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

followup from #4409

In #4409 correct handling of fallback areas like Ju, Cz, IJ and LS in maps have been fixed. Unfortunately not all fallback areas are
handled as such in the area hierarchy.
Open issues are

e Cc and TCS with there subareas Ab, Gg and Ar
e Subareas of SM (Cg, Sr, Ko, Se)
¢ Bt with subareas Es, La, Lt, Rf(K) and maybe
¢ Cm which is currently a subarea of UK but maybe in future shouldn't (we already changed the label from UK(K) to Cm)
There are 2 problems:
1. for Cc/TCS and Cm the hierarchy gets >2 levels which may create problems with the hierarchy in the textual representation.
2. for Bt and Cm the problem is that areas like Rf(K) and Cm may have >1 parent
Problem 1 could maybe be fixed by adapting the algorithm to never return more 2 relevant levels and to handle thes fallback areas

separately in the hierarchy (needs further research on the problem)

Problem 2 could maybe be solved by using a term tree with allowDuplicates as input for the distirbutioninfo webservice

Related issues:

Is duplicate of EDIT - feature request #9502: Implement subarea preference ru... Resolved
Copied from EDIT - bug #4409: fallback areas are not adressable in the shape ... Closed
Copied to EDIT - bug #8310: Issues to solve in E+M shapefile Closed
Copied to EDIT - bug #9367: E+M shapefile Baltic subarea borders always visib... New
History

#1 - 03/01/2021 02:09 PM - Andreas Miiller
- Copied from bug #4409: fallback areas are not adressable in the shape file added

#2 - 03/01/2021 02:11 PM - Andreas Miiller
- Copied to bug #8310: Issues to solve in E+M shapefile added

#3 - 03/01/2021 02:12 PM - Andreas Miiller

- Copied to bug #9367: E+M shapefile Baltic subarea borders always visible and remove Georgian subdivisions added

#4 - 03/02/2021 07:51 PM - Andreas Miiller
- Status changed from New to Duplicate

- Target version deleted (Release 5.21)

This is more or less a duplicate for #9502.

#5 - 03/02/2021 07:51 PM - Andreas Miuller
https://dev.e-taxonomy.eu/redmine/issues/4409
https://dev.e-taxonomy.eu/redmine/issues/4409
https://dev.e-taxonomy.eu/redmine/issues/9502

- Is duplicate of feature request #9502: Implement subarea preference rule and fallback areas for areas with complex hierarchy added

#6 - 06/15/2023 09:46 AM - Andreas Miiller
- % Done changed from 0 to 100

03/13/2024 22


http://www.tcpdf.org

